gnunet-svn
[Top][All Lists]
Advanced

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

[GNUnet-SVN] [taler-deployment] branch master updated (b1eeca8 -> 7fe2d9


From: gnunet
Subject: [GNUnet-SVN] [taler-deployment] branch master updated (b1eeca8 -> 7fe2d9b)
Date: Tue, 28 Nov 2017 17:44:51 +0100

This is an automated email from the git hooks/post-receive script.

marcello pushed a change to branch master
in repository deployment.

    from b1eeca8  Reverting pulling deployment code beforehand.  It's not 
possible to make $HOME the cwd without creating a new worker.
     new 4b12c33  individual updaters scripts for docs
     new 1539e1b  stage and www built by one updater
     new 7fe2d9b  doc builder calls doc updater via a project-based switch

The 3 revisions listed above as "new" are entirely new to this
repository and will be described in separate emails.  The revisions
listed as "add" were already present in the repository and have only
been added to this reference.


Summary of changes:
 buildbot/master.cfg                                | 40 +++++++----
 taler-build/{update_www.sh => update_api.sh}       |  9 +--
 taler-build/update_doc_bank.sh                     | 23 +++++++
 taler-build/update_doc_exchange.sh                 | 25 +++++++
 taler-build/update_doc_merchant.sh                 | 22 ++++++
 taler-build/update_docs.sh                         | 79 ----------------------
 .../{update_www.sh => update_onboarding.sh}        | 12 ++--
 taler-build/update_tutorials.sh                    | 27 ++++++--
 .../{update_stage.sh => update_www_and_stage.sh}   |  5 ++
 9 files changed, 134 insertions(+), 108 deletions(-)
 copy taler-build/{update_www.sh => update_api.sh} (72%)
 create mode 100755 taler-build/update_doc_bank.sh
 create mode 100755 taler-build/update_doc_exchange.sh
 create mode 100755 taler-build/update_doc_merchant.sh
 delete mode 100755 taler-build/update_docs.sh
 rename taler-build/{update_www.sh => update_onboarding.sh} (54%)
 rename taler-build/{update_stage.sh => update_www_and_stage.sh} (82%)

diff --git a/buildbot/master.cfg b/buildbot/master.cfg
index 6e4cf94..35559b5 100644
--- a/buildbot/master.cfg
+++ b/buildbot/master.cfg
@@ -56,11 +56,22 @@ c["change_source"] = [ALLCS]
 
 # Re-build documentation periodically
 
+def doc_filter(change):
+    changes = change.asDict()
+    if changes.get("project") in ["api", "www"]:
+        return True
+    files = changes.get("files")
+    for file in files:
+        if re.search(r"doc|manual", file):
+            return True
+    return False
+
 DOC_SCHEDULER = schedulers.SingleBranchScheduler(
     name="periodic-doc-scheduler",
     builderNames=["doc-builder"],
     change_filter=util.ChangeFilter(
         branch="master",
+        filter_fn=doc_filter,
         
project_re="api|www|bank|exchange|merchant|deployment|merchant-frontend-examples"),
     treeStableTimer=None)
 
@@ -112,7 +123,7 @@ FORCE_SCHEDULER = schedulers.ForceScheduler(
         "switcher-builder",
         "doc-builder",
         "wallet-builder",
-       "lint-builder"])
+        "lint-builder"])
 
 c["schedulers"] = [
     DOC_SCHEDULER,
@@ -230,7 +241,18 @@ SELENIUM_FACTORY.addStep(ShellCommand(
     command=["launch_selenium_test"],
     env={'PATH': "${HOME}/local/bin:/usr/lib/chromium:${PATH}"}))
 
-# this factory builds {api,docs}.taler.net AND {www,stage}.taler.net
+def doc_dispatcher(project):
+    switch = {
+        "api": "./update_api.sh",
+        "www": "./update_www_and_stage.sh",
+        "bank": "./update_bank.sh",
+        "merchant": "./update_doc_merchant.sh",
+        "exchange": "./update_doc_exchange.sh",
+        "merchant-frontend-examples": "./update_tutorials.sh",
+        "deployment": "./update_onboarding.sh",
+    }
+    return switch[project]
+
 DOC_FACTORY = util.BuildFactory()
 DOC_FACTORY.addStep(git_step(
     "git://git.taler.net/deployment.git"))
@@ -238,19 +260,7 @@ DOC_FACTORY.addStep(ShellCommand(
     name="build docs",
     description="Building documentation.",
     descriptionDone="Documentation built.",
-    command=["./update_docs.sh"],
-    workdir="build/taler-build"))
-DOC_FACTORY.addStep(ShellCommand(
-    name="build www",
-    description="Building www.taler.net.",
-    descriptionDone="www.taler.net built",
-    command=["./update_www.sh"],
-    workdir="build/taler-build"))
-DOC_FACTORY.addStep(ShellCommand(
-    name="build www-stage",
-    description="Building stage.taler.net.",
-    descriptionDone="stage.taler.net built",
-    command=["./update_stage.sh"],
+    command=[doc_dispacther(util.Interpolate("%(prop:project)s"))],
     workdir="build/taler-build"))
 
 DEBUG_BUILDER = util.BuilderConfig(
diff --git a/taler-build/update_www.sh b/taler-build/update_api.sh
similarity index 72%
copy from taler-build/update_www.sh
copy to taler-build/update_api.sh
index b4912d3..ec0cc0d 100755
--- a/taler-build/update_www.sh
+++ b/taler-build/update_api.sh
@@ -6,11 +6,12 @@ fetch () {
   git clean -fdx
   git fetch
   # reset to updated upstream branch, but only if we're tracking a branch
-  branch=$(git rev-parse --abbrev-ref --symbolic-full-name @{u} 2>/dev/null || 
echo HEAD)
+  branch=$(git rev-parse --abbrev-ref --symbolic-full-name @{u} 2>/dev/null || 
echo head)
   git reset --hard "$branch"
 }
 
-cd $HOME/www.taler.net
+cd $HOME/api
 fetch
-git submodule update --init --force
-make
+make html
+cp -r _build/html/* $HOME/build/api/html/
+
diff --git a/taler-build/update_doc_bank.sh b/taler-build/update_doc_bank.sh
new file mode 100755
index 0000000..3c8a6ac
--- /dev/null
+++ b/taler-build/update_doc_bank.sh
@@ -0,0 +1,23 @@
+#!/bin/bash
+
+set -eu
+
+fetch () {
+  git clean -fdx
+  git fetch
+  # reset to updated upstream branch, but only if we're tracking a branch
+  branch=$(git rev-parse --abbrev-ref --symbolic-full-name @{u} 2>/dev/null || 
echo head)
+  git reset --hard "$branch"
+}
+
+cd $HOME/bank
+fetch
+./bootstrap
+./configure --enable-only-doc
+make pdf
+make html
+mkdir -p $HOME/build/bank/manual/pdf
+mkdir -p $HOME/build/bank/manual/html
+cp doc/taler-bank.pdf $HOME/build/bank/manual/pdf/
+cp doc/taler-bank.html $HOME/build/bank/manual/html/
+cp doc/*.css $HOME/build/exchange/manual/html/
diff --git a/taler-build/update_doc_exchange.sh 
b/taler-build/update_doc_exchange.sh
new file mode 100755
index 0000000..f5054d0
--- /dev/null
+++ b/taler-build/update_doc_exchange.sh
@@ -0,0 +1,25 @@
+#!/bin/bash
+
+set -eu
+
+fetch () {
+  git clean -fdx
+  git fetch
+  # reset to updated upstream branch, but only if we're tracking a branch
+  branch=$(git rev-parse --abbrev-ref --symbolic-full-name @{u} 2>/dev/null || 
echo HEAD)
+  git reset --hard "$branch"
+}
+
+cd $HOME/exchange
+fetch
+./bootstrap
+./configure --enable-only-doc
+make pdf
+make html
+doxygen
+cp doc/taler-exchange.pdf $HOME/build/exchange/manual/pdf/
+cp doc/taler-exchange.html $HOME/build/exchange/manual/html/
+cp doc/*.css $HOME/build/exchange/manual/html/
+cp doc/*.png $HOME/build/exchange/manual/html/
+cp doc/*.js $HOME/build/exchange/manual/html/
+cp -r doxygen-doc/html/* $HOME/build/exchange/doxygen/
diff --git a/taler-build/update_doc_merchant.sh 
b/taler-build/update_doc_merchant.sh
new file mode 100755
index 0000000..3bb0fd5
--- /dev/null
+++ b/taler-build/update_doc_merchant.sh
@@ -0,0 +1,22 @@
+#!/bin/bash
+
+set -eu
+
+fetch () {
+  git clean -fdx
+  git fetch
+  # reset to updated upstream branch, but only if we're tracking a branch
+  branch=$(git rev-parse --abbrev-ref --symbolic-full-name @{u} 2>/dev/null || 
echo HEAD)
+  git reset --hard "$branch"
+}
+
+cd $HOME/merchant
+fetch
+./bootstrap
+./configure --enable-only-doc
+make
+doxygen
+cp doc/manual.pdf $HOME/build/merchant-backend/manual/pdf/
+cp doc/manual.html $HOME/build/merchant-backend/manual/html/
+cp doc/*.css $HOME/build/merchant-backend/manual/html/
+cp -r doxygen-doc/html/* $HOME/build/merchant-backend/doxygen/
diff --git a/taler-build/update_docs.sh b/taler-build/update_docs.sh
deleted file mode 100755
index debc011..0000000
--- a/taler-build/update_docs.sh
+++ /dev/null
@@ -1,79 +0,0 @@
-#!/bin/bash
-
-set -eu
-
-fetch () {
-  git clean -fdx
-  git fetch
-  # reset to updated upstream branch, but only if we're tracking a branch
-  branch=$(git rev-parse --abbrev-ref --symbolic-full-name @{u} 2>/dev/null || 
echo HEAD)
-  git reset --hard "$branch"
-}
-
-# 1 merchant
-cd $HOME/merchant
-fetch
-./bootstrap
-./configure --enable-only-doc
-make
-doxygen
-cp doc/manual.pdf $HOME/build/merchant-backend/manual/pdf/
-cp doc/manual.html $HOME/build/merchant-backend/manual/html/
-cp doc/*.css $HOME/build/merchant-backend/manual/html/
-cp -r doxygen-doc/html/* $HOME/build/merchant-backend/doxygen/
-
-# 2 exchange
-cd $HOME/exchange
-fetch
-./bootstrap
-./configure --enable-only-doc
-make pdf
-make html
-doxygen
-cp doc/taler-exchange.pdf $HOME/build/exchange/manual/pdf/
-cp doc/taler-exchange.html $HOME/build/exchange/manual/html/
-cp doc/*.css $HOME/build/exchange/manual/html/
-cp doc/*.png $HOME/build/exchange/manual/html/
-cp doc/*.js $HOME/build/exchange/manual/html/
-cp -r doxygen-doc/html/* $HOME/build/exchange/doxygen/
-
-# 3 frontends tutorials
-cd $HOME/merchant-frontend-examples
-fetch
-make
-cp php/doc/tutorial.pdf $HOME/build/merchant-frontend/php/pdf/
-cp php/doc/tutorial.html $HOME/build/merchant-frontend/php/html/
-cp php/doc/*.css $HOME/build/merchant-frontend/php/html/
-cp php/doc/*.jpg $HOME/build/merchant-frontend/php/html/
-cp python/doc/tutorial.pdf $HOME/build/merchant-frontend/python/pdf/
-cp python/doc/tutorial.html $HOME/build/merchant-frontend/python/html/
-cp python/doc/*.css $HOME/build/merchant-frontend/python/html/
-cp python/doc/*.jpg $HOME/build/merchant-frontend/python/html/
-
-# 4 api
-cd $HOME/api
-fetch
-make html
-cp -r _build/html/* $HOME/build/api/html/
-
-# 5 onboarding
-cd $HOME/deployment
-fetch
-cd doc/
-make all
-cp *.css $HOME/build/onboarding/html/
-cp onboarding.html $HOME/build/onboarding/html/
-cp onboarding.pdf $HOME/build/onboarding/pdf/
-
-# 6 bank
-cd $HOME/bank
-fetch
-./bootstrap
-./configure --enable-only-doc
-make pdf
-make html
-mkdir -p $HOME/build/bank/manual/pdf
-mkdir -p $HOME/build/bank/manual/html
-cp doc/taler-bank.pdf $HOME/build/bank/manual/pdf/
-cp doc/taler-bank.html $HOME/build/bank/manual/html/
-cp doc/*.css $HOME/build/exchange/manual/html/
diff --git a/taler-build/update_www.sh b/taler-build/update_onboarding.sh
similarity index 54%
rename from taler-build/update_www.sh
rename to taler-build/update_onboarding.sh
index b4912d3..9e38c80 100755
--- a/taler-build/update_www.sh
+++ b/taler-build/update_onboarding.sh
@@ -6,11 +6,15 @@ fetch () {
   git clean -fdx
   git fetch
   # reset to updated upstream branch, but only if we're tracking a branch
-  branch=$(git rev-parse --abbrev-ref --symbolic-full-name @{u} 2>/dev/null || 
echo HEAD)
+  branch=$(git rev-parse --abbrev-ref --symbolic-full-name @{u} 2>/dev/null || 
echo head)
   git reset --hard "$branch"
 }
 
-cd $HOME/www.taler.net
+cd $HOME/deployment
 fetch
-git submodule update --init --force
-make
+cd doc/
+make all
+cp *.css $HOME/build/onboarding/html/
+cp onboarding.html $HOME/build/onboarding/html/
+cp onboarding.pdf $HOME/build/onboarding/pdf/
+
diff --git a/taler-build/update_tutorials.sh b/taler-build/update_tutorials.sh
index 2168bff..cef16ca 100755
--- a/taler-build/update_tutorials.sh
+++ b/taler-build/update_tutorials.sh
@@ -1,9 +1,24 @@
 #!/bin/bash
 
-cd /var/www/merchant-frontend-examples/
-git clean -fdx
-git fetch
-# reset to updated upstream branch, but only if we're tracking a branch
-branch=$(git rev-parse --abbrev-ref --symbolic-full-name @{u} 2>/dev/null || 
echo HEAD)
-git reset --hard "$branch"
+set -eu
+
+fetch () {
+  git clean -fdx
+  git fetch
+  # reset to updated upstream branch, but only if we're tracking a branch
+  branch=$(git rev-parse --abbrev-ref --symbolic-full-name @{u} 2>/dev/null || 
echo HEAD)
+  git reset --hard "$branch"
+}
+
+cd $HOME/merchant-frontend-examples
+fetch
 make
+cp php/doc/tutorial.pdf $HOME/build/merchant-frontend/php/pdf/
+cp php/doc/tutorial.html $HOME/build/merchant-frontend/php/html/
+cp php/doc/*.css $HOME/build/merchant-frontend/php/html/
+cp php/doc/*.jpg $HOME/build/merchant-frontend/php/html/
+cp python/doc/tutorial.pdf $HOME/build/merchant-frontend/python/pdf/
+cp python/doc/tutorial.html $HOME/build/merchant-frontend/python/html/
+cp python/doc/*.css $HOME/build/merchant-frontend/python/html/
+cp python/doc/*.jpg $HOME/build/merchant-frontend/python/html/
+
diff --git a/taler-build/update_stage.sh b/taler-build/update_www_and_stage.sh
similarity index 82%
rename from taler-build/update_stage.sh
rename to taler-build/update_www_and_stage.sh
index 3f7f585..a57c889 100755
--- a/taler-build/update_stage.sh
+++ b/taler-build/update_www_and_stage.sh
@@ -14,3 +14,8 @@ cd $HOME/stage.taler.net
 fetch
 git submodule update --init --force
 make
+
+cd $HOME/www.taler.net
+fetch
+git submodule update --init --force
+make

-- 
To stop receiving notification emails like this one, please contact
address@hidden



reply via email to

[Prev in Thread] Current Thread [Next in Thread]